# "fix" underlinking:
%define _disable_ld_no_undefined 1

%global srcname parmap
%global giturl  https://github.com/rdicosmo/parmap

Name:           ocaml-%{srcname}
Version:        1.2.5
Release:        %mkrel 3
Summary:        OCaml library for exploiting multicore architectures
Group:          Development/OCaml
License:        LGPL-2.1-or-later WITH OCaml-LGPL-linking-exception
URL:            https://rdicosmo.github.io/parmap/
VCS:            git:%{giturl}.git
Source:         %{giturl}/archive/%{version}/parmap-%{version}.tar.gz

BuildRequires:  ocaml >= 4.03.0
BuildRequires:  ocaml-dune >= 2.7
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  ocaml-graphics-devel

%description
Parmap is a minimalistic library for exploiting multicore architectures
in OCaml programs with minimal modifications: if you want to use your
many cores to accelerate an operation which happens to be a map, fold or
map/fold (map-reduce), just use Parmap's parmap, parfold and parmapfold
primitives in place of the standard List.map and friends, and specify
the number of subprocesses to use with the optional parameter ~ncores.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n parmap-%{version}

%build
%dune_build

%install
%dune_install

%ifarch %{ocaml_native_compiler}
# The tests take a really, really long time on bytecode-only systems
%check
%dune_check
%endif

%files -f .ofiles
%doc AUTHORS CHANGES README.md
%license LICENSE

%files devel -f .ofiles-devel



%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.2.5-3.mga10
+ Revision: 2250879
- Mageia 10 Mass Rebuild

* Sat Apr 05 2025 pterjan <pterjan> 1.2.5-2.mga10
+ Revision: 2173846
- Rebuild for ocaml 5.3.0

* Fri Nov 22 2024 daviddavid <daviddavid> 1.2.5-1.mga10
+ Revision: 2118596
- new version: 1.2.5

* Sat May 21 2022 pterjan <pterjan> 1.2.3-2.mga9
+ Revision: 1859624
- Rebuild for OCaml 4.14

* Fri Oct 15 2021 tv <tv> 1.2.3-1.mga9
+ Revision: 1751660
- imported package ocaml-parmap


* Tue Oct 05 2021 Richard W.M. Jones <rjones@redhat.com> - 1.2.3-3
- OCaml 4.13.1 build

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May  3 2021 Jerry James <loganjerry@gmail.com> - 1.2.3-1
- Version 1.2.3

* Wed Apr 28 2021 Jerry James <loganjerry@gmail.com> - 1.2.1-1
- Version 1.2.1
- Drop upstreamed -float-array patch

* Fri Apr 16 2021 Jerry James <loganjerry@gmail.com> - 1.2-1
- Initial package
